#!/bin/bash
#
# Brightness slider control for desktop 'external' monitors - with inspiration from johnywhy, and many thanks to Fredx181 : © Mike Walsh - Sept 2018
#
# detect monitor
MON=$(xrandr -q | grep " connected" | cut -f1 -d ' ')
# find current xrandr brightness value
XR=$(xrandr --verbose | grep -i brightness | cut -f2 -d ' ' | head -n1)
BrCur=`awk "BEGIN {print $XR*100}"` # calculate, so e.g. 0.5 gets 50
BrMax="100"
BrMin="10"
yad --undecorated --on-top --geometry=450x70-40-30 --text="      Brightness  Control" --scale --value $BrCur --print-partial --min-value $BrMin --max-value $BrMax --button="Colour Temperature":TempSelect.sh --button="Done":1 | while read BrNew; do
# division using awk, so xrandr value gets e.g. 0.5 rather than 50
xrandr --output $MON --brightness $(awk "BEGIN {print $BrNew/100}")
done 
